﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Private xChart1 As xChart
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	
	chart.ClearData

	chart.Title = "Vaccinazioni"
	chart.XAxisName = "Giorno"
	chart.YAxisName = "Somministrazioni"
	chart.AxisTextSize = 0
	chart.XScaleTextOrientation = "VERTICAL"
	chart.AutomaticScale = True

'		chart.AddLine("Pregressa infezione", xui.Color_Green)
	chart.AddLine("Prima dose", xui.Color_Blue)
	chart.AddLine("Seconda dose", xui.Color_Red)
	chart.AddLine("Terza dose", xui.Color_Yellow)

	Dim rs As ResultSet
	rs = db.ExecQuery2("select data_somministrazione,sum(prima_dose),sum(seconda_dose),sum(pregressa_infezione),sum(dose_booster) from somministrazioni where area<>'ITA' group by (data_somministrazione) order by data_somministrazione", Array As String())
	Do While rs.NextRow
		Dim data As String = DateTime.Date(rs.GetString2(0))
		Dim primadose As Double = rs.GetString2(1)
		Dim secondadose As Double = rs.GetString2(2)
'			Dim pregressainfezione As Double = rs.GetString2(3)
		Dim dosebooster As Double = rs.GetString2(4)

		chart.AddLineMultiplePoints(data, Array As Double(primadose, secondadose, dosebooster), True)
'			chart.AddLineMultiplePoints(data, Array As Double(pregressainfezione, dosebooster, secondadose, primadose), True)
	Loop
	rs.Close

	chart.DrawChart
	
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

Private Sub Button1_Click
	xui.MsgboxAsync("Hello world!", "B4X")
End Sub